/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib.daten;

/**
 * Implementiert die gemeinsamen Methoden der Schnittstelle {@link Attribut}.
 *
 * @author BitCtrl Systems GmbH, Schumann, Peuker
 * @version $Id: AbstractAttribut.java 62370 2016-06-29 13:45:13Z peuker $
 * @param <T>
 *            Wird von der Schnittstelle {@link Attribut} durchgereicht
 */
abstract class AbstractAttribut<T> implements Attribut<T> {

	/** Versions-ID für die Serialisierung. */
	private static final long serialVersionUID = -2524253213691359045L;

	/**
	 * der Name des Attributs.
	 */
	private final String name;

	/**
	 * Konstruiert ein Attribut ohne Wert.
	 *
	 * @param name
	 *            Attributname
	 */
	protected AbstractAttribut(final String name) {
		if (null == name || 0 == name.trim().length()) {
			throw new IllegalArgumentException(
					"Der Attributname muss angegeben werden und darf nicht leer sein.");
		}

		this.name = name;
	}

	@Override
	public String getName() {
		return name;
	}

}
